Rock
TetheringFailures' Union
US 2014 (Dead Broke Rekerds DBR-113)Винил. Пластинка; LP; Альбом
Rock, Rock
Last RoomWaveform*
US 2022 (Run For Cover Records (2) RFC234)Винил. Пластинка; Винил. Пластинка; Альбом; LP
Start All Over AgainThe Berries
US 2018 (Help Yourself Records HY016)Винил. Пластинка; LP; Альбом; Стерео
Ink & DaggerInk & Dagger
US 2025 (Trust Records (11) TR014C)Винил. Пластинка; LP; Альбом; Переиздание
2024Винил. Пластинка; LP; Альбом; Лимитированное издание
Recreational HateLemuria
US 2018 (Turbo Worldwide TB1)Винил. Пластинка; LP; Альбом; Лимитированное издание
Minima MoraliaTunabunny
US 2011 (Happy Happy Birthday To Me Records HHBTM140)Винил. Пластинка; LP; Альбом
Send More BeesBedford Falls
UK & US 2018 (Brassneck Records neck032)Компакт-диск. CD; Винил. Пластинка; LP; Альбом
It Must Be GrubsGrubs
UK 2015 (Tuff Enuff TELP23)Винил. Пластинка; LP; Альбом
Pop, Rock
I Was Due For A HeartbreakMaura Weaver
US 2023 (Don Giovanni Records DG-290)Винил. Пластинка; LP; Альбом
Eccsame The Photon BandLilys
US 2023 (Frontier Records 31084-1)Винил. Пластинка; LP; Альбом; Переиздание
Introverted Romance In Our Troubled MindsP.S. Eliot
US (Salinas Records SAL-033)Винил. Пластинка; LP; Альбом; Переиздание
DepressedelicaElvis Depressedly
US 2020 (Run For Cover Records (2) RFC196)Винил. Пластинка; LP; Альбом
SpacehopperTripwires
US 2013 (Frenchkiss Records FKR069-1)Винил. Пластинка; LP; Альбом
Folk, Rock
Not Bad For New Jersey
Europe 2026 (Lesser Known Records 731851471946)Винил. Пластинка; LP; Альбом
What Still Gets MeShit Present
UK 2023 (Specialist Subject Records SPS106)Винил. Пластинка; Альбом; LP; Repress
Grad LifeGraduating Life
US 2019 (Pure Noise Records PNE232)Винил. Пластинка; LP; Альбом; Лимитированное издание
Bad Dream JaguarSun June
US 2023 (Run For Cover Records (2) RFC-265)Винил. Пластинка; 12"; 33 ⅓ RPM; Альбом
Collecting DustThe Spills
UK 2015 (Alcopop! Records ALCOPOP125X)Винил. Пластинка; LP; Альбом
Circle The SunTV Haze
Australia 2018 (Poison City Records PCR151LP)Винил. Пластинка; LP; Альбом
Self TitledDamion Suomi
US 2008 (P Is For Panda Records PH4101)Винил. Пластинка; LP; Альбом
Grow The Fuck UpVial
UK, Europe & US 2024 (Get Better Records LP-GBR-184)Винил. Пластинка; LP; 45 RPM; Альбом
ease.Wolvon
Netherlands 2017 (Subroutine Records SR076)Винил. Пластинка; LP; Альбом
Audit In ProgressHot Snakes
Europe 2018 (Sub Pop SP1219)Винил. Пластинка; LP; Альбом; Переиздание
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.